import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserCreateNestedOneWithoutStaffInputObjectSchema as UserCreateNestedOneWithoutStaffInputObjectSchema } from './UserCreateNestedOneWithoutStaffInput.schema';
import { ClaimCreateNestedManyWithoutStaffInputObjectSchema as ClaimCreateNestedManyWithoutStaffInputObjectSchema } from './ClaimCreateNestedManyWithoutStaffInput.schema'

const makeSchema = () => z.object({
  name: z.string(),
  email: z.string().optional().nullable(),
  role: z.string(),
  phone: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  user: z.lazy(() => UserCreateNestedOneWithoutStaffInputObjectSchema).optional(),
  claims: z.lazy(() => ClaimCreateNestedManyWithoutStaffInputObjectSchema).optional()
}).strict();
export const StaffCreateWithoutAppointmentsInputObjectSchema: z.ZodType<Prisma.StaffCreateWithoutAppointmentsInput> = makeSchema() as unknown as z.ZodType<Prisma.StaffCreateWithoutAppointmentsInput>;
export const StaffCreateWithoutAppointmentsInputObjectZodSchema = makeSchema();
